<?php //echo 'hello'; ?>
@extends('layout.index')
@section('title','Find Vehicle Route')
<!-- Dashboard start -->
@section('content')

<div class="content-body">
   <!-- Bordered table start -->
   <div class="row" id="table-bordered">
      <div class="col-12">
         <div class="card mb-1">
            <div class="card-header w-100" >
               <div class="content-header-left">
                  <div class="row breadcrumbs-top">
                     <div class="col-sm-12">
                        <h2 class="content-header-title float-left mb-0">Find Vehicle Route</h2>
                     </div>
                  </div>
               </div>
               <div class="d-flex justify-content-end breadcrumb-wrapper">
                  <nav aria-label="breadcrumb">
                     <ol class="breadcrumb mr-1">
                        <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Find Vehicle Route</li>
                     </ol>

					<form method="post" id="form" action="{{url('find_route')}}">
					<input type="hidden" name="form_type" value="search_form">
					@csrf
						<input type="hidden" id="latitude" name="latitude" value="" />
						<input type="hidden" id="longitude" name="longitude" value="" />
					</form>
					
                  </nav>
               </div>
            </div>
         </div>
      </div>
   </div>
   <!-- Bordered table end -->
</div>

<div class="content-body">
   <div class="row" id="table-bordered">
        <div class="col-12">
           <div class="card">
			
		   
		    <?php $goole_map_key = config('custom.google_map_key'); ?>
			<script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
			<script src="https://maps.googleapis.com/maps/api/js?key=<?php echo $goole_map_key; ?>&libraries=drawing"></script>

			<div style="width:100%;height:89vh;clear:both;" id="map" ></div>

			<script>
					jQuery(document).ready(function(){
					   initMap();
					});
					function initMap() {
						
						var myLatLng = {lat: <?php echo (!empty($lat)) ? $lat : 19.958871; ?>, lng: <?php echo (!empty($lng)) ? $lng : 73.799913; ?>};

						var gMapoptions = {
								zoom: 13,
								center: myLatLng,
								mapTypeId: google.maps.MapTypeId.ROADMAP
						}	

						var map = new google.maps.Map(document.getElementById("map"),gMapoptions);
						var marker = new google.maps.Marker({
										position: myLatLng,
									map: map,
									draggable: true
					    });

                        marker.setMap(map);
						google.maps.event.addListener(marker, "dragend", function (event) {

							var lat = event.latLng.lat();
							var lng = event.latLng.lng();
							
							$('#latitude').val(lat);
							$('#longitude').val(lng);
							console.log(lat+','+lng);
							document.getElementById("form").submit();
						});

						<?php if(!empty($routes)){
							foreach($routes as $key=>$polygon){
							$string = json_encode($polygon);
							$string = str_replace( '"', '', $string ); // strip em
							?>
							var polyCords = <?php echo $string ?>;
							var createPolygon = new google.maps.Polygon({
							paths: polyCords,
							strokeColor: '#FF0000',
							strokeOpacity: 0.8,
							strokeWeight: 2,
							fillColor: '#FF0000',
							fillOpacity: 0.35,
							vehicle_number: <?php echo (!empty($key)) ? $key : 0; ?>
							});
							createPolygon.setMap(map);
							google.maps.event.addListener(createPolygon, 'click', function (event) {
							//alert the index of the polygon
							//alert(createPolygon.vehicle_number);
							var base_url  = '<?Php config('custom.base_url'); ?>';

							// <a href={{ url('') }}/route_deviation/'+aDetails.vehicle_number+'/0>

							var win = window.open('<?php echo url('') ?>/route_deviation/view_route/'+createPolygon.vehicle_number+'/0', '_blank');
							win.focus();
						});
						<?php }} ?>
						

					}

				</script>

           </div>
		<div>
   </div>
</div>

@endsection 
 
 <script src={{ asset('assets/js/linedraw.js') }}></script>
 <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
 <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
 