<!DOCTYPE html>
<html>
  <head>
  <title></title>
  <meta http-equiv="Content-Language" content="mr">
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <style>
      table,td,th,h5,h4,h3 {
          font-family: 'Open Sans', sans-serif;
      }

      .border-2x{
          border: 2px solid #000;
      }

      .border-1x{
          border: 1px solid #000;
      }
      .th-custom{
            text-align: center;
            font-family: 'Open Sans', sans-serif;
      }      
  </style>
</head>
<body>

<div class="container">          
  <table border="1" class="table table-bordered" width="100%"  style = "border-collapse: collapse; border-color: black;">
    <thead>
      <tr class="border-2x">
        <th colspan="5" class="border-2x"><?php echo$sCompanyName; ?></th>
      </tr> 
      <tr class="border-2x">
        <th colspan="5" >Total Vehicle Weight Management Report</th>
      </tr>
      <?php 
           $from_month = date('M Y',strtotime($start_date));
           $to_month   = date('M Y',strtotime($end_date));
      ?>
      <tr class="border-2x">
        <th colspan="5">FOR THE MONTH OF <?php echo strtoupper($from_month); ?> To <?php echo strtoupper($to_month); ?> ( <?php echo date('d/m/Y',strtotime($start_date)); ?> To <?php echo date('d/m/Y',strtotime($end_date)); ?>)</th>
      </tr>   
      <tr class="border-2x">
        <th colspan="5">Door to Door / Garden / Debris Garbage (Total) Weight Report</th>
      </tr>  
      <tr class="border-2x">
        <td class="text-center" style="font-family:freeserif; text-align:center;">अ.क्र.</td>
        <td class="text-center" style="font-family:freeserif; text-align:center;">केर कचरा प्रकार </td> 
        <td class="text-center" style="font-family:freeserif; text-align:center;">खतप्रकल्पवर आलेल्या व RFID नोंद असलेल्या घंटागाडीने संकलित केलेला केरकचरा वजन</td>
        <td class="text-center" style="font-family:freeserif; text-align:center;">खतप्रकल्पवर आलेल्या व RFID नोंद नसलेल्या घंटागाडीने संकलित केलेला केरकचरा वजन</td>
        <td class="text-center" style="font-family:freeserif; text-align:center;">एकुण वजन</td>
      </tr> 
    </thead>
    <tbody>
    
      <tr class="border-2x">
        <td style="text-align:center;">1</td>
        <td style="text-align:left;">Door to Door Waste</td>
        <td style="text-align:center;"><?php echo $door_to_door; ?></td>
        <td style="text-align:center;">0</td>
        <td style="text-align:center;"><?php echo $door_to_door; ?></td>
      </tr>
      <tr class="border-2x">
        <td style="text-align:center;">2</td>
        <td style="text-align:left;">Garden Waste</td>
        <td style="text-align:center;"><?php echo $garden; ?></td>
        <td style="text-align:center;">0</td>
        <td style="text-align:center;"><?php echo $garden; ?></td>
      </tr>
      <tr class="border-2x">
        <td style="text-align:center;">3</td>
        <td style="text-align:left;">Debris Waste</td>
        <td style="text-align:center;"><?php echo $debris; ?></td>
        <td style="text-align:center;">0</td>
        <td style="text-align:center;"><?php echo $debris; ?></td>
      </tr>
      <tr class="border-2x">
        <td style="text-align:center;">&nbsp;</td>
        <td style="text-align:center;">&nbsp;</td> 
        <td style="text-align:center;">&nbsp;</td>
        <td style="text-align:center;">&nbsp;</td>
        <td style="text-align:center;">&nbsp;</td>
      </tr>
      <tr class="border-2x">
        <th style="text-align:center;"></th>
        <th style="text-align:center;">Total Waste</th>
        <th style="text-align:center;"><?php if(!empty($door_to_door) || !empty($garden) || !empty($debris)){
           $total_weights = $door_to_door + $garden + $debris;
           echo $total_weights;
        } ?></th>
        <th style="text-align:center;">0</th>
        <th style="text-align:center;"><?php if(!empty($door_to_door) || !empty($garden) || !empty($debris)){
           $total_weights = $door_to_door + $garden + $debris;
           echo $total_weights;
        } ?></th>
      </tr>
    
    </tbody>
  </table>
  
  <div style="width:100%; text-align: right;  padding-top: 30px;" >
   <?php $image_path = public_path(); ?>
    <img style="margin-right: 90px;" src="<?php echo $image_path; ?>/weight_pdf/dummy_signature.png" height="50" width="50"/>
    
    <div style="text-align: right;">
      <h4 style="line-height: 0.1;">SOLID WASTE TECHNOLOGIST</h4>
      <h5 style="line-height: 0.1; margin-right: 20px;">SOLID WASTE MANAGEMENT</h5>
      <h5 style="line-height: 0.1; margin-right: 7px;">NASHIK MUNICIPAL CORPORATION</h5>
    </div>
  </div>

</div>

</body>
</html>
