<?php $__env->startSection('title','Vehicle Route List'); ?>

<!-- Dashboard Ecommerce start -->
<?php $__env->startSection('content'); ?>
<section>
    <div class="content-body">
        <!-- Bordered table start -->
        <div class="row" id="table-bordered">
           <div class="col-12">
              <div class="card">
                 <div class="card-header w-100" >
                    <div class="content-header-left">
                       <div class="row breadcrumbs-top">
                          <div class="col-sm-12">
                             <h2 class="content-header-title float-left mb-0">Vehicle Route List</h2>
                          </div>
                       </div>
                    </div>
                    <div class="d-flex justify-content-end breadcrumb-wrapper">
                       <nav aria-label="breadcrumb">
                          <ol class="breadcrumb mr-1">
                             <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                             <li class="breadcrumb-item">Vehicle Routes</li>
                             <li class="breadcrumb-item active" aria-current="page">Vehicle Route List</li>
                          </ol>
                       </nav>
                    </div>
                 </div>
              </div>
           </div>
        </div>
        <!-- Bordered table end -->
    </div>
        <?php if($message = Session::get('success')): ?>
            <div class="demo-spacing-0 mb-1">
                <div class="alert alert-success alert-dismissible fade show" role="alert">
                    <div class="alert-body">
                        <i class="fa fa-check-circle" style="font-size:16px;" aria-hidden="true"></i>
                            <?php echo e($message); ?>

                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">

                    </div>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            </div>
        <?php endif; ?>

    <div class="content-body">
        <!-- Bordered table start -->
        <div class="row" id="table-bordered">
            <div class="col-12">
                <div class="card">
                    <form class="dt_adv_search" action="<?php echo e(url('vehicle_routes/search')); ?>" method="POST">
                            <?php echo csrf_field(); ?>
                        <div class="card-header w-100" >
                            <div class="row w-100" >
                            <div class="col-sm-10">
                                <div class="row">

                                <div class="col-sm-2">
                                    <div class="form-group m-0">
                                    <!-- <label class="form-label">Pakage</label> -->
                                    <select class="select2 form-select" id="Pakage_id" name="Pakage_id" onChange="get_wards()">
                                        <option value="">--- Select Pakage ---</option>
                                        <?php $__currentLoopData = $Pakages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $val): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                            <?php $selected = '';   ?> 
                                            <?php if($Pakage_id == $val->id): ?>
                                            <?php $selected ='selected'; ?>
                                            <?php endif; ?>
                                        
                                        <option <?php echo e($selected); ?> value="<?php echo e($val->id); ?>"><?php echo e($val->Pakage_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                    </select>
                                    </div>
                                </div>

                                <div class="col-sm-2">
                                    <div class="form-group m-0">
                                    <!-- <label class="form-label">Ward</label> -->
                                    <select class="select2 form-select" id="ward_id" name="ward_id">
                                        <option value="0">--- Select Wards ---</option>
                                        <?php $__currentLoopData = $wards; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $val): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                            <?php $selected = '';   ?> 
                                            <?php if($ward_id == $val->id): ?>
                                            <?php $selected ='selected'; ?>
                                            <?php endif; ?>
                    
                                        <option <?php echo e($selected); ?> value="<?php echo e($val->id); ?>"><?php echo e($val->ward_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                    </select>
                                    </div>
                                </div>

                                    <div class="col-sm-2">
                                        <div class="form-group m-0">
                                            <select name="vehicle_number" class="select2 form-select">
                                                <option value="">--- Select Vehicle ---</option>
                                                <?php $__currentLoopData = $aVehicleNumber; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $val): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <?php $selected = '';   ?> 
                                                    <?php if($vehicle_number == $val->vehicle_number): ?>
                                                <?php $selected ='selected'; ?>
                                            <?php endif; ?>
                                                <option <?php echo e($selected); ?> value="<?php echo e($val->vehicle_number); ?>" > <?php echo e($val->vehicle_number); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>  
                                            
                                            </select>
                                        </div>
                                    </div>

                                    <div class="col-sm-2">
                                        <div class="form-group m-0">
                                            <select name="route_id" class="select2 form-select">
                                                <option value="">--- Select Route ---</option>
                                                <?php $__currentLoopData = $aRoutes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $val): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <?php $selected = '';   ?> 
                                                    <?php if($route_id == $val->id): ?>
                                                <?php $selected ='selected'; ?>
                                            <?php endif; ?>
                                                <option <?php echo e($selected); ?> value="<?php echo e($val->id); ?>" > <?php echo e($val->route_name); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>  
                                            
                                            </select>
                                        </div>
                                    </div>

                                    <div class="col-sm-2">
                                        <div class="form-group m-0">
                                            <select name="day" class="select2 form-select">
                                                <option value="">--- Select Days ---</option>
                                                <?php $__currentLoopData = $adays; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $val): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($val->id); ?>" <?php echo (session::get('day') == $val->id)? 'selected':''; ?>><?php echo e($val->day); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>  
                                            </select>
                                        </div>
                                    </div>

                                    <div class= "col-sm-2">
                                       
                                       <button type="submit" class="btn btn-primary">Search</button>
                                        
                                        <?php if($search): ?>
                                            <a title="Clear" href="<?php echo e(url('vehicle_routes/clear_search')); ?>" class="btn btn-outline-primary" data-column="3"><i data-feather="rotate-ccw" class="me-25"></i><span> Clear</span></a> 
                                        <?php endif; ?>       
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-2">
                                <a href="<?php echo e(route('add_edit.vehicle_route')); ?>" class="btn btn-outline-primary float-right"> <i data-feather="plus" class="me-25"></i><span>Add Vehicle</span></a>
                            </div>
                            </div>
                        </div>
                    </form>
                <!-- index.blade.php -->

<div class="table-responsive">
    <table class="table table-striped table-bordered">
        <thead>
            <tr>
                <th class="text-center">Sr.No</th>
                <th>Route Name</th>
                <th>Vehicle Number</th>
                <th>Type</th>
                <th>Days</th>
                <th class="text-center">Action</th>
            </tr>
        </thead>
        <tbody class="text-left">
            <?php if($aVehiclesRoutes): ?>
                <?php if(count($aVehiclesRoutes) != 0): ?>
                    <?php $i = 1;
                    $i = $aVehiclesRoutes->perPage() * ($aVehiclesRoutes->currentPage() - 1);
                    ?>

                    <?php $__currentLoopData = $aVehiclesRoutes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $val): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php $i++; ?>
                        <tr>
                            <td class="text-center"><?php echo e($i); ?></td>
                            <td><?php echo e($val->route_name); ?></td>
                            <td><?php echo e($val->vehicle_number); ?></td>
                            <td><?php echo e($val->type); ?></td>
                            <td>
                                <?php echo e($val->day); ?>

                            </td>
                            
                            <td class="text-center">
                                <div class="dropdown">
                                    <button type="button" class="btn btn-sm dropdown-toggle hide-arrow" data-toggle="dropdown">
                                        <i data-feather="more-vertical"></i>
                                    </button>
                                    <div class="dropdown-menu">
                                        <a class="dropdown-item" href="<?php echo e(route('add_edit.vehicle_route', $val->id)); ?>">
                                            <i data-feather="edit-2" class="mr-50"></i>
                                            <span>Edit</span>
                                        </a>
                                        <form action="<?php echo e(route('delete.vehicle_route', $val->id)); ?>" method="POST">
                                            <?php echo e(csrf_field()); ?>

                                            <?php echo e(method_field('DELETE')); ?>

                                            <input type="hidden" name="_method" value="DELETE">
                                            <button type="submit" class="dropdown-item" onclick="return confirm('Are you sure you want to delete this vehicle?')">
                                                <i data-feather="trash" class="mr-50"></i>Delete
                                            </button>
                                        </form>
                                    </div>
                                </div>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td colspan="6">
                            <div class="d-flex justify-content-end">
                                    <?php echo e($aVehiclesRoutes->links()); ?>

                            </div>   
                        </td>
                    </tr>
                <?php else: ?>
                    <tr>
                        <td colspan="8" style="text-align:center; color:red;">No Record Found</td>
                    </tr>
                <?php endif; ?>
            <?php endif; ?>
        </tbody>
    </table>
</div>

                </div>

            </div>
        </div>
        <!-- Bordered table end -->
    </div>
</section>
<?php $__env->stopSection(); ?>

<script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

<script>
	function get_wards() {
    var Pakage_id = $('#Pakage_id').val();
    console.log("Selected Day: " + $('#day').val()); 
    $.ajax({
        type: "post",
        url: "<?php echo e(url('/route_master/wards')); ?> ",
        data: {"_token": "<?php echo e(csrf_token()); ?>", "Pakage_id": Pakage_id},
        success: function (response) {
            $('#ward_id').html(response);
        },
        error: function () {
            alert("Error while request..");
        }
    });
}
</script>
<?php echo $__env->make('layout.index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/pcmcmechanicalsw/public_html/ncap.pcmcmechanicalsweeper.com/resources/views/vehicle_routes/list.blade.php ENDPATH**/ ?>