<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Session;
use App\Models\LoginModel;
use App\Models\AdminUserRight;

class LoginController extends Controller
{
    public function __construct(){       
        $this->admin_user_rights = new AdminUserRight();
    }
    
    public function index(Request $request){
        // if(Session::has('logged_in.admin_loggedin') && Session::get('logged_in.admin_loggedin')==1){
        //    // return redirect('home');
        //     return redirect('/admin_dashboard');
        // }
        
        if($request->post('command')=='login'){
            $request->validate([
                'email'=>'required|email:rfc,dns',
                'password'=>'required|min:5'
            ]);

            $aResult = LoginModel::where(array('email'=>$request['email'],'password'=>md5($request['password'])))->first();
             //dd($aResult);
            if($aResult){

                if($aResult->active == 1){

                    $sessArry = array();
                    $sessArry = array(
                        'id' => $aResult->id,
                        'emp_id' => $aResult->emp_id,
                        'superuser'=>$aResult->superadmin,
                        'subadmin'=>$aResult->subadmin,
                        'admin_loggedin' => 1,
                        'firstname' =>$aResult->firstname,
                        'lastname'=>$aResult->lastname,
                        'gender'=>$aResult->gender,
                        'password'=>$aResult->password,
                        'theme_mode'=>$aResult->theme_mode,
                        'email'=>$aResult->email,

                    );
                    
                    $aModules = $this->admin_user_rights->get_user_modules($aResult->id,$aResult->superadmin);
                    $aPakages = $this->admin_user_rights->get_user_Pakages($aResult->id,$aResult->superadmin);
                   
                    Session::put('modules',$aModules);
                    Session::put('Pakages',$aPakages);
                    Session::put('logged_in',$sessArry);
                    Session::put('current_day',date('d-m-Y'));
                    ;

                    if(Session::has('logged_in.admin_loggedin') && Session::get('logged_in.superuser')==1){
                       return redirect('/admin_dashboard');
                    }else{

                        $user_access = $this->admin_user_rights->get_user_dashboard_access($aResult->id,$aResult->superadmin);
                        //echo '<pre>';print_r($user_access); die;
                        if(  Session::get('logged_in.subadmin')==1 ){
                           return redirect('/admin_dashboard'); 
                        }elseif((!empty($user_access) && $user_access[0]->access_count != 0)){
                            return redirect('/user_dashboard/0');
                        }else{
                            return redirect('/home'); 
                        }
                        
                    }
                }else{
                     $request->session()->flash('error','Your account is De-active, Please contact to admin !');
                      return redirect('/');
                    } 
            }else{
                $request->session()->flash('error','Invalid Username or Password !');
                return redirect('/');
            }
        }
        return view('login');
    } 

    public function logout(Request $request){
        $request->session()->flush();
        return redirect('/');
    }
}
