<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Session;

class PakageModel extends Model
{
    use HasFactory;

    protected $table = 'admin_pakages';
    public $timestamps = false;
    protected $fillable = [
        'Pakage_code',
        'Pakage_name',
        'active',
        'updated_date',
        'supervisor_name',
        'supervisor_number'
    ];

    public static function get_Pakages()
    {
        $query = DB::table('admin_pakages')->select('*');
        if (Session::has('logged_in.superuser') && Session::get('logged_in.superuser') !=1) {
            $session_div = Session::get('Pakages');
            if (!empty($session_div)) {
                $query->whereIn('id', $session_div);
            } else {
                $query->whereRaw('1=2');
            }
        }
        return $query;
    }
}